<div class="container">
  <div class="box">
    <div class="btn">
      <button type="button" (click)="value=1">Boton 1</button>
    </div>
  </div>

  <div class="box">
    <div class="btn">
      <button type="button" (click)="value=2">Boton 2</button>
    </div>
  </div>

  <div class="box">
    <div class="btn">
      <button type="button" (click)="value=8">Boton 3</button>
    </div>
  </div>
</div>

<div [ngSwitch]="value" id ="info">
  <small *ngSwitchCase="'0'">¿Cuál es el mejor astro?</small>
  <small *ngSwitchCase="'1'">Los planetas meh.</small>
  <small *ngSwitchCase="'2'">Las galaxias son los mejores astros.</small>
  <small *ngSwitchDefault>Las estrellas son los mejores astros.</small>
</div>